// Copyright (c) Saga Inc.
import React from 'react';
import XIcon from '../icons/XIcon';
import Select from './Select';
import Row from '../spacing/Row';
import Col from '../spacing/Col';
import DropdownItem from './DropdownItem';
import { getDisplayColumnHeader } from '../../utils/columnHeaders';
/*
    This component is a row with a select followed by an X Icon.
*/
const SelectAndXIconCard = (props) => {
    return (React.createElement(Row, { key: props.columnID, justify: 'space-between', align: 'center' },
        React.createElement(Col, { flex: '1' },
            React.createElement(Select, { value: props.columnID, onChange: (columnID) => props.onChange(columnID), searchable: true }, props.selectableColumnIDs.map(columnID => {
                const columnHeader = props.columnIDsMap[columnID];
                return (React.createElement(DropdownItem, { key: columnID, id: columnID, title: getDisplayColumnHeader(columnHeader) }));
            }))),
        React.createElement(Col, { offset: 1, offsetRight: 1 },
            React.createElement(XIcon, { onClick: () => { props.onDelete(); } }))));
};
export default SelectAndXIconCard;
//# sourceMappingURL=SelectAndXIconCard.js.map